extern struct Any MakeMapPair(struct Any, struct Any);
extern long GenLength(struct Any);
extern struct Any GenLookup(struct Any map, struct Any index);
extern struct Any GArrayTake(struct Any, long);
extern struct Any TArraySection(struct Any array, long drop, long take);
extern struct Any OldMakeTuple(struct Any);
extern struct Any MakeListCons(struct Any *vals, int count);
extern struct Any ExtractBitType(void *arg, struct Type *type);
extern struct LVariable *AllocVariable(Symbol*);
extern long LListLength(struct Any self);
extern struct Any LListIndex(struct Any self, long i);
